package com.ruoyi.project.mapper;

import java.util.List;
import com.ruoyi.project.domain.TrsSiteUpdate;

/**
 * 更新监测Mapper接口
 * 
 * @author ruoyi
 * @date 2025-06-09
 */
public interface TrsSiteUpdateMapper 
{
    /**
     * 查询更新监测
     * 
     * @param id 更新监测主键
     * @return 更新监测
     */
    public TrsSiteUpdate selectTrsSiteUpdateById(Long id);

    /**
     * 查询更新监测列表
     * 
     * @param trsSiteUpdate 更新监测
     * @return 更新监测集合
     */
    public List<TrsSiteUpdate> selectTrsSiteUpdateList(TrsSiteUpdate trsSiteUpdate);

    /**
     * 新增更新监测
     * 
     * @param trsSiteUpdate 更新监测
     * @return 结果
     */
    public int insertTrsSiteUpdate(TrsSiteUpdate trsSiteUpdate);

    /**
     * 修改更新监测
     * 
     * @param trsSiteUpdate 更新监测
     * @return 结果
     */
    public int updateTrsSiteUpdate(TrsSiteUpdate trsSiteUpdate);

    /**
     * 删除更新监测
     * 
     * @param id 更新监测主键
     * @return 结果
     */
    public int deleteTrsSiteUpdateById(Long id);

    /**
     * 批量删除更新监测
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsSiteUpdateByIds(String[] ids);

    public void doMonitorInsert();
    public void clearSiteUpdate();
}
